Subject: Re: [bug#37048] [PATCH core-updates] gnu: qemu: Update to 4.1.0.
From: Rutger Helling <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Aug 2019 09:11:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the review! I changed the phase name to
prevent-network-configuration and pushed it to core-updates. 

On 2019-08-19 01:47, Leo Famulari wrote:

> On Fri, Aug 16, 2019 at 06:27:42AM +0000, Rutger Helling wrote: 
> 
>> Hey Guix,
>> 
>> here's a patch to update QEMU to 4.1.0.
>> I'm sending it in for core-updates, since it only works there. It errors
>> out with "fatal error: gnu/stubs-32.h: No such file or directory" on
>> master (x86_64). Some change in GCC on core-updates seems to have solved
>> this problem.
> 
> Thanks!
> 
>> From 170d67512d8f3412ee7f1b19b522fc2cb7cd6e29 Mon Sep 17 00:00:00 2001
>> From: Rutger Helling <[email-masked]>
>> Date: Thu, 15 Aug 2019 22:01:49 +0200
>> Subject: [PATCH] gnu: qemu: Update to 4.1.0.
>> 
>> * gnu/local.mk: Remove qemu-CVE-2018-16872.patch and qemu-CVE-2019-6778.patch.
>> * gnu/packages/patches/qemu-CVE-2018-16872.patch: Remove file.
>> * gnu/packages/patches/qemu-CVE-2019-6778.patch: Remove file.
>> * gnu/packages/virtualization.scm (qemu): Update to 4.1.0.
>> [source]: Remove obsolete patches.
>> [arguments]: Add phases 'disable-line and 'disable-unusable-tests.
> 
> Can the phase name 'disable-line' be made more explicit? I don't get
> what it means in this context.
> 
> Otherwise LGTM!